/*
 * Class ARRAYED_LIST [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_382 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_382 [] = {0xFF01,237,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_382 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_382 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_382 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_382 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_382 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_382 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_382 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_382 [] = {381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_382 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_382 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_24_382 [] = {0xFF01,375,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_382 [] = {0xFF01,371,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_382 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_382 [] = {0xFF01,375,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_382 [] = {0xFF01,377,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_382 [] = {0xFF01,381,191,0xFFFF};
static const EIF_TYPE_INDEX egt_34_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_382 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_382 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_382 [] = {0xFF01,381,191,0xFFFF};


static const struct desc_info desc_382[] = {
	{EIF_GENERIC(NULL), 7546, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_382), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_382), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7570, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_382), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_382), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_382), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_382), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_382), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_382), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_382), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_382), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_382), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_382), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_382), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_382), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7558, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_382), 2310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_382), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7569, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2117, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_382), 7551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7590, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4265, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7556, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4268, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_382), 2303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_382), 7552, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_382), 4269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7573, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_382), 7551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7560, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7563, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_382), 7554, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_382), 7555, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7576, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7581, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4255, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7604, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_382), 7606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2299, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4559, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7571, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7587, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7603, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_382), 4938, 0},
	{EIF_GENERIC(NULL), 4939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_382), 4941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_382), 4942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4945, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_382), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2116, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2118, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7596, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_382), 3370, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_382), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4563, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7605, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_382), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7547, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7548, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7549, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_382), 7550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_382), 7559, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7564, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7565, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7566, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7567, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7608, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7609, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_382), 7610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7556, 8},
	{EIF_GENERIC(egt_34_382), 7552, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_382), 7553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7573, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7585, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_382), 7557, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7568, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7584, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7589, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7591, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7592, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_382), 7607, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7586, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init382(void)
{
	IDSC(desc_382, 0, 381);
	IDSC(desc_382 + 1, 1, 381);
	IDSC(desc_382 + 32, 77, 381);
	IDSC(desc_382 + 41, 103, 381);
	IDSC(desc_382 + 43, 243, 381);
	IDSC(desc_382 + 49, 155, 381);
	IDSC(desc_382 + 58, 256, 381);
	IDSC(desc_382 + 61, 30, 381);
	IDSC(desc_382 + 68, 329, 381);
	IDSC(desc_382 + 82, 294, 381);
	IDSC(desc_382 + 85, 282, 381);
	IDSC(desc_382 + 94, 81, 381);
	IDSC(desc_382 + 103, 35, 381);
	IDSC(desc_382 + 104, 129, 381);
	IDSC(desc_382 + 110, 99, 381);
	IDSC(desc_382 + 112, 229, 381);
	IDSC(desc_382 + 113, 55, 381);
	IDSC(desc_382 + 114, 123, 381);
	IDSC(desc_382 + 116, 38, 381);
	IDSC(desc_382 + 131, 187, 381);
	IDSC(desc_382 + 137, 184, 381);
	IDSC(desc_382 + 140, 50, 381);
	IDSC(desc_382 + 141, 96, 381);
	IDSC(desc_382 + 149, 237, 381);
	IDSC(desc_382 + 151, 172, 381);
}


#ifdef __cplusplus
}
#endif
